<!DOCTYPE html><html class="default" lang="en"><head><meta charSet="utf-8"/><meta http-equiv="x-ua-compatible" content="IE=edge"/><title>@digitaldasein/dd-footer</title><meta name="description" content="Documentation for @digitaldasein/dd-footer"/><meta name="viewport" content="width=device-width, initial-scale=1"/><link rel="stylesheet" href="assets/style.css"/><link rel="stylesheet" href="assets/highlight.css"/><link rel="stylesheet" href="assets/custom.css"/><script async src="assets/search.js" id="search-script"></script></head><body><script>document.documentElement.dataset.theme = localStorage.getItem("tsd-theme") || "os"</script><header class="tsd-page-toolbar">
<div class="tsd-toolbar-contents container">
<div class="table-cell" id="tsd-search" data-base=".">
<div class="field"><label for="tsd-search-field" class="tsd-widget search no-caption"><svg width="16" height="16" viewBox="0 0 16 16" fill="none"><path d="M15.7824 13.833L12.6666 10.7177C12.5259 10.5771 12.3353 10.499 12.1353 10.499H11.6259C12.4884 9.39596 13.001 8.00859 13.001 6.49937C13.001 2.90909 10.0914 0 6.50048 0C2.90959 0 0 2.90909 0 6.49937C0 10.0896 2.90959 12.9987 6.50048 12.9987C8.00996 12.9987 9.39756 12.4863 10.5008 11.6239V12.1332C10.5008 12.3332 10.5789 12.5238 10.7195 12.6644L13.8354 15.7797C14.1292 16.0734 14.6042 16.0734 14.8948 15.7797L15.7793 14.8954C16.0731 14.6017 16.0731 14.1267 15.7824 13.833ZM6.50048 10.499C4.29094 10.499 2.50018 8.71165 2.50018 6.49937C2.50018 4.29021 4.28781 2.49976 6.50048 2.49976C8.71001 2.49976 10.5008 4.28708 10.5008 6.49937C10.5008 8.70852 8.71314 10.499 6.50048 10.499Z" fill="var(--color-text)"></path></svg></label><input type="text" id="tsd-search-field" aria-label="Search"/></div>
<ul class="results">
<li class="state loading">Preparing search index...</li>
<li class="state failure">The search index is not available</li></ul><a href="index.html" class="title">@digitaldasein/dd-footer</a></div>
<div class="table-cell" id="tsd-widgets"><a href="#" class="tsd-widget menu no-caption" data-toggle="menu" aria-label="Menu"><svg width="16" height="16" viewBox="0 0 16 16" fill="none"><rect x="1" y="3" width="14" height="2" fill="var(--color-text)"></rect><rect x="1" y="7" width="14" height="2" fill="var(--color-text)"></rect><rect x="1" y="11" width="14" height="2" fill="var(--color-text)"></rect></svg></a></div></div></header>
<div class="container container-main">
<div class="col-8 col-content">
<div class="tsd-page-title">
<h2>@digitaldasein/dd-footer</h2></div>
<div class="tsd-panel tsd-typography"><!--
SPDX-FileCopyrightText: 2022 Digital Dasein <https://digital-dasein.gitlab.io/>
SPDX-FileCopyrightText: 2022 Gerben Peeters <gerben@digitaldasein.org>
SPDX-FileCopyrightText: 2022 Senne Van Baelen <senne@digitaldasein.org>

SPDX-License-Identifier: MIT
-->


<a href="#ltdd-footergt" id="ltdd-footergt" style="color: inherit; text-decoration: none;">
  <h1>&lt;dd-footer&gt;</h1>
</a>
<p><a href="https://gitlab.com/digital-dasein/software/html-presentations/dd-footer/-/pipelines"><img src="https://gitlab.com/digital-dasein/software/html-presentations/dd-footer/badges/main/pipeline.svg?job=build&key_text=build" alt="pipeline"></a>
<a href="https://digital-dasein.gitlab.io/software/html-presentations/dd-footer/lcov-report/"><img src="https://gitlab.com/digital-dasein/software/html-presentations/dd-footer/badges/main/coverage.svg?job=test" alt="coverage"></a>
<a href="https://api.reuse.software/info/gitlab.com/digital-dasein/software/html-presentations/dd-footer"><img src="https://api.reuse.software/badge/gitlab.com/digital-dasein/software/html-presentations/dd-footer" alt="REUSE 
status"></a></p>
<p>This webcomponent follows the <a href="https://github.com/open-wc/open-wc">open-wc</a> recommendation.</p>

<a href="#installation" id="installation" style="color: inherit; text-decoration: none;">
  <h2>Installation</h2>
</a>
<pre><code class="language-bash"><span class="hl-0">yarn add @digitaldasein/dd-footer</span>
</code></pre>
<p>or</p>
<pre><code class="language-bash"><span class="hl-0">npm i @digitaldasein/dd-footer</span>
</code></pre>

<a href="#usage" id="usage" style="color: inherit; text-decoration: none;">
  <h2>Usage</h2>
</a>
<p>As a module:</p>
<pre><code class="language-html"><span class="hl-1">&lt;</span><span class="hl-2">script</span><span class="hl-3"> </span><span class="hl-4">type</span><span class="hl-3">=</span><span class="hl-5">&quot;module&quot;</span><span class="hl-1">&gt;</span><br/><span class="hl-3">  </span><span class="hl-6">import</span><span class="hl-3"> </span><span class="hl-7">&#39;path/to/dd-footer.js&#39;</span><span class="hl-3">;</span><br/><span class="hl-1">&lt;/</span><span class="hl-2">script</span><span class="hl-1">&gt;</span><br/><br/><span class="hl-1">&lt;</span><span class="hl-2">dd-footer</span><span class="hl-1">&gt;</span><span class="hl-0">...</span><span class="hl-1">&lt;/</span><span class="hl-2">dd-footer</span><span class="hl-1">&gt;</span>
</code></pre>
<p>For a production-ready build, either integrated into a library or standalone, 
check out the
<a href="https://gitlab.com/digital-dasein/software/html-presentations/libcompono">libcompono</a> 
library.</p>

<a href="#docs" id="docs" style="color: inherit; text-decoration: none;">
  <h2>Docs</h2>
</a>
<p>&rarr; <a href="https://digital-dasein.gitlab.io/software/html-presentations/dd-footer/docs/classes/DdFooter.html">go to 
docs</a></p>
<pre><code><br/><span class="hl-0">## </span><span class="hl-8">Local</span><span class="hl-0"> </span><span class="hl-8">Demo</span><span class="hl-0"> </span><span class="hl-6">with</span><span class="hl-0"> </span><span class="hl-7">`web-dev-server`</span><br/><br/><span class="hl-7">```bash</span><br/><span class="hl-7">yarn start</span>
</code></pre>
<p>To run a local development server that serves the basic demo located in 
<code>demo/index.html</code></p>

<a href="#linting-and-formatting" id="linting-and-formatting" style="color: inherit; text-decoration: none;">
  <h2>Linting and formatting</h2>
</a>
<p>To scan the project for linting and formatting errors, run</p>
<pre><code class="language-bash"><span class="hl-0">yarn lint</span>
</code></pre>
<p>To automatically fix linting and formatting errors, run</p>
<pre><code class="language-bash"><span class="hl-0">yarn format</span>
</code></pre>

<a href="#testing-with-web-test-runner" id="testing-with-web-test-runner" style="color: inherit; text-decoration: none;">
  <h2>Testing with Web Test Runner</h2>
</a>
<p>To execute a single test run:</p>
<pre><code class="language-bash"><span class="hl-0">yarn </span><span class="hl-9">test</span>
</code></pre>
<p>To run the tests in interactive watch mode run:</p>
<pre><code class="language-bash"><span class="hl-0">yarn test:watch</span>
</code></pre>
<p>Test results are available 
<a href="https://digital-dasein.gitlab.io/software/html-presentations/dd-footer/lcov-report/">here</a>.</p>

<a href="#tooling-configs" id="tooling-configs" style="color: inherit; text-decoration: none;">
  <h2>Tooling configs</h2>
</a>
<p>For most of the tools, the configuration is in the <code>package.json</code> to reduce the amount of files in your project.</p>
<p>If you customize the configuration a lot, you can consider moving them to 
individual files.</p>
</div></div>
<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
<div class="tsd-navigation settings">
<details class="tsd-index-accordion"><summary class="tsd-accordion-summary">
<h3><svg width="20" height="20" viewBox="0 0 24 24" fill="none"><path d="M4.93896 8.531L12 15.591L19.061 8.531L16.939 6.409L12 11.349L7.06098 6.409L4.93896 8.531Z" fill="var(--color-text)"></path></svg> Settings</h3></summary>
<div class="tsd-accordion-details">
<div class="tsd-filter-visibility">
<h4 class="uppercase">Member Visibility</h4><form>
<ul id="tsd-filter-options">
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-protected" name="protected"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Protected</span></label></li>
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-private" name="private"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Private</span></label></li>
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-inherited" name="inherited" checked/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>Inherited</span></label></li>
<li class="tsd-filter-item"><label class="tsd-filter-input"><input type="checkbox" id="tsd-filter-external" name="external"/><svg width="32" height="32" viewBox="0 0 32 32" aria-hidden="true"><rect class="tsd-checkbox-background" width="30" height="30" x="1" y="1" rx="6" fill="none"></rect><path class="tsd-checkbox-checkmark" d="M8.35422 16.8214L13.2143 21.75L24.6458 10.25" stroke="none" stroke-width="3.5" stroke-linejoin="round" fill="none"></path></svg><span>External</span></label></li></ul></form></div>
<div class="tsd-theme-toggle">
<h4 class="uppercase">Theme</h4><select id="theme"><option value="os">OS</option><option value="light">Light</option><option value="dark">Dark</option></select></div></div></details></div>
<nav class="tsd-navigation primary">
<details class="tsd-index-accordion" open><summary class="tsd-accordion-summary">
<h3><svg width="20" height="20" viewBox="0 0 24 24" fill="none"><path d="M4.93896 8.531L12 15.591L19.061 8.531L16.939 6.409L12 11.349L7.06098 6.409L4.93896 8.531Z" fill="var(--color-text)"></path></svg> Modules</h3></summary>
<div class="tsd-accordion-details">
<ul>
<li class="current selected"><a href="modules.html">@digitaldasein/dd-<wbr/>footer</a>
<ul></ul></li></ul></div></details></nav>
<nav class="tsd-navigation secondary menu-sticky">
<ul>
<li class="tsd-kind-class"><a href="classes/DdFooter.html" class="tsd-index-link"><svg class="tsd-kind-icon" width="24" height="24" viewBox="0 0 24 24"><rect fill="var(--color-icon-background)" stroke="var(--color-ts-class)" stroke-width="1.5" x="1" y="1" width="22" height="22" rx="6" id="icon-128-path"></rect><path d="M11.898 16.1201C11.098 16.1201 10.466 15.8961 10.002 15.4481C9.53803 15.0001 9.30603 14.3841 9.30603 13.6001V9.64012C9.30603 8.85612 9.53803 8.24012 10.002 7.79212C10.466 7.34412 11.098 7.12012 11.898 7.12012C12.682 7.12012 13.306 7.34812 13.77 7.80412C14.234 8.25212 14.466 8.86412 14.466 9.64012H13.386C13.386 9.14412 13.254 8.76412 12.99 8.50012C12.734 8.22812 12.37 8.09212 11.898 8.09212C11.426 8.09212 11.054 8.22412 10.782 8.48812C10.518 8.75212 10.386 9.13212 10.386 9.62812V13.6001C10.386 14.0961 10.518 14.4801 10.782 14.7521C11.054 15.0161 11.426 15.1481 11.898 15.1481C12.37 15.1481 12.734 15.0161 12.99 14.7521C13.254 14.4801 13.386 14.0961 13.386 13.6001H14.466C14.466 14.3761 14.234 14.9921 13.77 15.4481C13.306 15.8961 12.682 16.1201 11.898 16.1201Z" fill="var(--color-text)" id="icon-128-text"></path></svg>Dd<wbr/>Footer</a></li></ul></nav></div></div>
<div class="container tsd-generator">
<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p></div>
<div class="overlay"></div><script src="assets/main.js"></script></body></html>